--[[
log("DOTManager_test-1")
function DOTManager:update(t, dt)
	log("DOTManager_test")
	for index = #self._doted_enemies, 1, -1 do
		local dot_info = self._doted_enemies[index]

		if t > dot_info.dot_damage_received_time + self._dot_grace_period and dot_info.dot_counter >= 0.5 then
			if not dot_info.variant = "explosive" then
				self:_damage_dot(dot_info)
			end
			dot_info.dot_counter = 0
		end
		log("DOTManager_test0")
		if t > dot_info.dot_damage_received_time + dot_info.dot_length and dot_info.variant = "explosive" then
			log("DOTManager_test1")
			self:_damage_dot_explosive(dot_info)
			table.remove(self._doted_enemies, index)
		elseif t > dot_info.dot_damage_received_time + dot_info.dot_length then
			table.remove(self._doted_enemies, index)
		else
			dot_info.dot_counter = dot_info.dot_counter + dt
		end
	end
end


function DOTManager:_damage_dot_explosive(dot_info)
	local attacker_unit = managers.player:player_unit()
	local col_ray = {
		unit = dot_info.enemy_unit
	}
	local damage = dot_info.dot_damage
	local ignite_character = false
	local weapon_unit = dot_info.weapon_unit
	local weapon_id = dot_info.weapon_id
	log("DOTManager_test2")
	if dot_info.variant and dot_info.variant == "explosive" then
		APHEBulletBase:give_damage_dot(col_ray, weapon_unit, attacker_unit, damage, dot_info.hurt_animation, weapon_id)
	end
end
]]