Hooks:PostHook(ProjectileBase, "throw", "MAT_throw", function(self)

--	log("[MAT_GAS_TEST3" .. tweak_data.projectiles[self:projectile_entry()].launch_speed)

end)


Hooks:PreHook(ProjectileBase,"destroy","proj_destroy_mat_stuff",function(self,...)
	--log("[MAT_GAS_TEST] " .. self:projectile_entry())
	if tweak_data.projectiles[self:projectile_entry()].is_gasround then 
		local sound_source = SoundDevice:create_source("tear_gas_source")
		local position = self._unit:position()
		sound_source:set_position(position)
		sound_source:post_event("grenade_gas_explode")
		local smoke_explosion = World:effect_manager():spawn({
			effect = Idstring("effects/particles/explosions/explosion_smoke_grenade"),
			position = position,
			normal = self._unit:rotation():y()
		})
		
		local parent = self._unit:orientation_object()
		local smoke_effect = World:effect_manager():spawn({
			effect = tweak_data.projectiles[self:projectile_entry()].gas_effect or Idstring("effects/payday2/environment/cs_gas_damage_area"),
			parent = parent
		})
		
		self._smoke_effect = smoke_effect
		managers.player:add_mat_gaspool({
			position = position,
			damage_dot_cop = tweak_data.projectiles[self:projectile_entry()].gas_dmg_cop or 10, --yes i know that would mean "damage damage over time cop". would you like a nice cup of chai tea with that
			damage_dot_player = tweak_data.projectiles[self:projectile_entry()].gas_dmg_player or 0.5,
			dmg_radius = 500,
			dmg_interval = 1,
			dmg_t = math.random(3), -- start immediately
			expire_t = TimerManager:game():time() + tweak_data.projectiles[self:projectile_entry()].gas_expire_t or 12, --needs tweakdata too
			sound_source = sound_source,
			smoke_explosion = smoke_explosion,
			smoke_effect = smoke_effect,
			owner = self._owner or 1,
			entry = self:projectile_entry(),
			weapon = self:get_name_id(),
			hurt_animation = tweak_data.projectiles[self:projectile_entry()].gas_vomit or false
		})
	end
end)

--